# Copyright © 2021-2022 Arrikto Inc.  All Rights Reserved.

"""Kale SDK.

This script defines a pipeline with a conditional statement.
"""

import random

from kale.sdk import step, pipeline


@step(name="generate")
def generate() -> int:
    gen = random.sample(range(0, 20), 2)
    return sum(gen)


@step(name="printer")
def printer(value: int):
    print(value)


@pipeline(name="conditional", experiment="kale-tutorial")
def conditional_pipeline(upper: int = 13, lower: int = 10):
    res = generate()
    if res < upper:
        if res > lower:
            printer(res)


if __name__ == "__main__":
    conditional_pipeline()
